<?php

namespace Modules\ExampleEvents;

use APP;
use Exception;
use CController as Action;
use Core\CModule as BaseModule;
use CViewHelper;
use CControllerDashboardView;
use Modules\ExampleEvents\Services\DashboardPermissionService;

class Module extends BaseModule {

	protected $logger;

	public function onBeforeAction(Action $action): void
	{
		if ($action->getUserType() == USER_TYPE_SUPER_ADMIN) {
			APP::Component()->has('console')
				&& APP::Component()->console->log('Action: '.get_class($action).' ignore onBeforeAction check for user of type USER_TYPE_SUPER_ADMIN');
			return;
        }

		if ($action instanceof CControllerDashboardView) {
			CViewHelper::saveLayoutMode(ZBX_LAYOUT_KIOSKMODE);
		}
		else {
			$permission = new DashboardPermissionService;

			if (!$permission->isAllowed($action)) {
				throw new Exception(_('You do not have permission to perform this operation.'));
			}
		}
	}
}