<?php
/**
 * This module allow to use chrome console to print debug information from PHP.
 *
 * Instalation:
 *    - install and enabled chrome extension https://chrome.google.com/webstore/detail/chrome-logger/noaneddfkdjfnfdakjjmocngnfkfehhd/related in your browser
 *    - enable this module
 *
 * Example usage:
 * log to chrome console:
 * APP::Component()->console->log($data);
 *
 * Detailed documentation about methods available to debug your data can be found at https://github.com/ccampbell/chromephp.
 */

namespace Modules\Logger;

use APP;
use CController as Action;
use Core\CModule as BaseModule;
use Modules\Logger\Services\DebugConsoleService;

class Module extends BaseModule {

	public function init() :void {
		APP::Component()->register('console', new DebugConsoleService);
	}

	public function onTerminate(Action $action): void
	{
		APP::Component()->console->log(get_class($action), [$action->getAction() => $action]);
	}
}
